Subject: [PATCH] Kirkwood: Marvell GuruPlug support

From: [email-masked] (Alexander Clouter)
Date: Tue, 23 Mar 2010 13:23:31 +0000

Hi,

* Siddarth Gore <[email-masked]> [2010-03-23 18:13:23+0530]:
>
> On Mon, 2010-03-22 at 05:05 -0700, Alexander Clouter wrote:
>
> > Any harm in merging this into the sheevaplug-setup code, like the openrd 
> > code?
> > 
> > http://git.marvell.com/?p=orion.git;a=commit;h=b2fdb5660fccc060e47658baad8911a963397ced
> 
> No harm as such. but i think having separate setup files will be a
> cleaner approach, instead of adding more if(machine_is_<>) statements.
> 
> Looks like openrd base/client are same boards with client having an
> extra ethernet port. sheevaplug and guruplug are two different boards
> (pcb's) having different gpio settings, peripherals, etc.
> 
Fair enough, I thought (with the exception of the shameful removal of 
the onboard questionable serial/jtag) the boards were identical, just 
with extra USB/NIC ports added.

Cheers

-- 
Alexander Clouter
.sigmonster says: Real Users know your home telephone number.